docusign.chunked-uploads.put-chunked-upload-part
Adds a chunk or part to an existing chunked upload. After you use the Create method to initiate a new chunked upload and upload the first part, use this method to upload subsequent parts. For simplicity, Docusign recommends that you upload the parts in their sequential order ( 1,2, 3, 4, etc.). The Create method adds the first part and assigns it the sequence value 0. As a result, Docusign recommends that you start with a sequence value of 1 when you use this method, and continue uploading parts contiguously until you have uploaded the entirety of the original content to Docusign. Example: PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/1 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/2 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/3 Note: You cannot replace a part that Docusign has already received, or add parts to a chunked upload that is already successfully committed.
Add a chunk to an existing chunked upload.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
chunkeduploadid | string | Yes | — | The ID of the chunked upload. |
chunkeduploadpartseq | string | Yes | — | The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is 0. Note: You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it. |
chunkeduploadid_2 | string | No | — | The ID of the chunked upload. Note: This property is ignored in requests, and overridden with an auto-generated value in responses. |
data | string | No | — | A base64-encoded representation of the content that is used to upload the file. Maximum size: 50 MB. However, data is also subject to REST API limits regarding request sizes, and Internet Information Systems (IIS) might place further constraints on file size. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
chunkeduploadid | string | Yes | — | The ID of the chunked upload. |
chunkeduploadpartseq | string | Yes | — | The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is 0. Note: You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it. |
chunkeduploadid_2 | string | No | — | The ID of the chunked upload. Note: This property is ignored in requests, and overridden with an auto-generated value in responses. |
data | string | No | — | A base64-encoded representation of the content that is used to upload the file. Maximum size: 50 MB. However, data is also subject to REST API limits regarding request sizes, and Internet Information Systems (IIS) might place further constraints on file size. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/ |
* (any state) | fail | failed | Record the failure reason |
API Usage
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.chunked-uploads.put-chunked-upload-part",
"initial_data": {
"base_url": "value",
"accountid": "value",
"chunkeduploadid": "value",
"chunkeduploadpartseq": "value"
}
}